## Version Information Version Information — Library version checks |

## Functions

#define | VTE_MAJOR_VERSION
#define | VTE_MINOR_VERSION
#define | VTE_MICRO_VERSION
#define | VTE_CHECK_VERSION()

## Description

These macros enable compile time checks of the library version.

## Functions

### VTE_MAJOR_VERSION

    #define VTE_MAJOR_VERSION (0)

The major version number of the VTE library (e.g. in version 3.1.4 this is 3).

### VTE_MINOR_VERSION

    #define VTE_MINOR_VERSION (39)

The minor version number of the VTE library (e.g. in version 3.1.4 this is 1).

### VTE_MICRO_VERSION

    #define VTE_MICRO_VERSION (92)

The micro version number of the VTE library (e.g. in version 3.1.4 this is 4).

### VTE_CHECK_VERSION()

    #define             VTE_CHECK_VERSION(major,minor,micro)

Macro to check the library version at compile time. It returns `1` if the version of VTE is greater or equal to the required one, and `0` otherwise.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

## Types and Values